HLLE-class {dimRed} | R Documentation

## Hessian Locally Linear Embedding

### Description

An S4 Class implementing Hessian Locally Linear Embedding (HLLE)

### Details

HLLE uses local hessians to approximate the curvines and is an extension to non-convex subsets in lowdimensional space.

### Slots

`fun`

  A function that does the embedding and returns a dimRedResult object.

`stdpars`

  The standard parameters for the function.

### General usage

Dimensionality reduction methods are S4 Classes that either be used directly, in which case they have to be initialized and a full list with parameters has to be handed to the `@fun()` slot, or the method name be passed to the embed function and parameters can be given to the `...`, in which case missing parameters will be replaced by the ones in the `@stdpars`.

### Parameters

HLLE can take the following parameters:

knn

  neighborhood size

ndim

  number of output dimensions

### Implementation

Own implementation, sticks to the algorithm in Donoho and Grimes (2003). Makes use of sparsity to speed up final embedding.

### References

Donoho, D.L., Grimes, C., 2003. Hessian eigenmaps: Locally linear embedding techniques for high-dimensional data. PNAS 100, 5591-5596. doi:10.1073/pnas.1031596100

### See Also

Other dimensionality reduction methods: `AutoEncoder-class`, `DRR-class`, `DiffusionMaps-class`, `DrL-class`, `FastICA-class`, `FruchtermanReingold-class`, `Isomap-class`, `KamadaKawai-class`, `LLE-class`, `MDS-class`, `NNMF-class`, `PCA-class`, `PCA_L1-class`, `UMAP-class`, `dimRedMethod-class`, `dimRedMethodList`, `kPCA-class`, `nMDS-class`, `tSNE-class`

### Examples

    dat <- loadDataSet("3D S Curve", n = 300)

    ## directy use the S4 class:
    hlle <- HLLE()
    emb <- hlle@fun(dat, hlle@stdpars)

    ## using embed():
    emb2 <- embed(dat, "HLLE", knn = 45)

    plot(emb, type = "2vars")
    plot(emb2, type = "2vars")

[Package dimRed version 0.2.2 Index]